Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.config.imp
Class AbstractUserTransactionServiceFactory

    java.lang.Object
      com.atomikos.icatch.config.imp.AbstractUserTransactionServiceFactory

All Implemented Interfaces:
  UserTransactionServiceFactory

Direct Known Subclasses:
  UserTransactionServiceFactory, UserTransactionServiceFactory

    public abstract class AbstractUserTransactionServiceFactory

extends Object
implements UserTransactionServiceFactory

Commonalities for all factories go here.

Field Summary
`static String` | `AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME` The name of the property indicating whether (JTA/XA) resources should be registered automatically or not.
`static String` | `CHECKPOINT_INTERVAL_PROPERTY_NAME` The name of the property indicating the checkpoint interval.
`static String` | `CLIENT_DEMARCATION_PROPERTY_NAME` The name of the property indicating whether remote clients can start transactions on this service or not.
`static String` | `CONSOLE_FILE_COUNT_PROPERTY_NAME` Deprecated. use a standard logger API now... The name of the property indicating the number of rotating console log files. Expands to "com.atomikos.icatch.console_file_count".
`static String` | `CONSOLE_FILE_LIMIT_PROPERTY_NAME` Deprecated. use a standard logger API now... The name of the property indicating the max size in bytes of the console log files. Negative means unlimited. Expands to "com.atomikos.icatch.console_file_limit".
`static String` | `CONSOLE_FILE_NAME_PROPERTY_NAME` Deprecated. use a standard logger API now... The name of the property that specifies the filename to use for console log files. Expands to "com.atomikos.icatch.console_file_name".
`static String` | `CONSOLE_LOG_LEVEL_PROPERTY_NAME` Deprecated. use a standard logger API now... The name of the property that specifies the console log level. Should be one of: WARN, INFO or DEBUG. Expands to "com.atomikos.icatch.console_log_level".
`static String` | `DEFAULT_JTA_TIMEOUT_PROPERTY_NAME` The name of the property that specifies the default timeout (in milliseconds) that is set for transactions when no timeout is specified.
`static String` | `ENABLE_LOGGING_PROPERTY_NAME` The name of the property indicating whether or not to enable logging.
`static String` | `JNDI_INITIAL_CONTEXT_FACTORY_PROPERTY_NAME` The name of the property indicating what the JNDI initial context factory is.
`static String` | `JNDI_PROVIDER_URL_PROPERTY_NAME` The name of the property indicating what the JNDI provider URL is.
`static String` | `LOG_BASE_DIR_PROPERTY_NAME` The name of the property that specifies the log base dir folder.
`static String` | `LOG_BASE_NAME_PROPERTY_NAME` The name of the property that indicates the base name of the log files.
`static String` | `MAX_ACTIVES_PROPERTY_NAME` The name of the property that specifies the maximum number of active transactions.
`static String` | `MAX_TIMEOUT_PROPERTY_NAME` The name of the property that specifies the maximum timeout (in milliseconds) that can be allowed for transactions.
`static String` | `OUTPUT_DIR_PROPERTY_NAME` The name of the property that specifies the output folder for the transaction manager's files.
`static String` | `REGISTER_SHUTDOWN_HOOK_PROPERTY_NAME` The name of the property specifying whether or not to force shutdown on VM exit.
`static String` | `RMI_EXPORT_CLASS_PROPERTY_NAME` The name of the property indicating what RMI export mechanism to use for exporting transaction service objects (if applicable).
`static String` | `SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME` The name of the property that indicates whether JTA transactions are to be in serial mode or not.
`static String` | `THREADED_2PC_PROPERTY_NAME` The name of the property specifying whether two-phase commit should be done concurrently with threads.
`static String` | `TM_UNIQUE_NAME_PROPERTY_NAME` The name of the property indicating the globally unique name of the transaction manager.

Constructor Summary
`AbstractUserTransactionServiceFactory()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atomikos.icatch.config.UserTransactionServiceFactory
`getUserTransactionService`

Field Detail

### SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME

    public static final String SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME

  The name of the property that indicates whether JTA transactions are to be in serial mode or not. Expands to "com.atomikos.icatch.serial_jta_transactions".

  See Also:
    Constant Field Values

### DEFAULT_JTA_TIMEOUT_PROPERTY_NAME

    public static final String DEFAULT_JTA_TIMEOUT_PROPERTY_NAME

  The name of the property that specifies the default timeout (in milliseconds) that is set for transactions when no timeout is specified. Expands to "com.atomikos.icatch.default_jta_timeout".

  See Also:
    Constant Field Values

### CONSOLE_FILE_NAME_PROPERTY_NAME

    public static final String CONSOLE_FILE_NAME_PROPERTY_NAME

  Deprecated. use a standard logger API now... The name of the property that specifies the filename to use for console log files. Expands to "com.atomikos.icatch.console_file_name".
  See Also:
    Constant Field Values

### OUTPUT_DIR_PROPERTY_NAME

    public static final String OUTPUT_DIR_PROPERTY_NAME

  The name of the property that specifies the output folder for the transaction manager's files. Expands to "com.atomikos.icatch.output_dir".

  See Also:
    Constant Field Values

### LOG_BASE_DIR_PROPERTY_NAME

    public static final String LOG_BASE_DIR_PROPERTY_NAME

  The name of the property that specifies the log base dir folder. Expands to "com.atomikos.icatch.log_base_dir".

  See Also:
    Constant Field Values

### CONSOLE_LOG_LEVEL_PROPERTY_NAME

    public static final String CONSOLE_LOG_LEVEL_PROPERTY_NAME

  Deprecated. use a standard logger API now... The name of the property that specifies the console log level. Should be one of: WARN, INFO or DEBUG. Expands to "com.atomikos.icatch.console_log_level".
  See Also:
    Constant Field Values

### LOG_BASE_NAME_PROPERTY_NAME

    public static final String LOG_BASE_NAME_PROPERTY_NAME

  The name of the property that indicates the base name of the log files. Expands to "com.atomikos.icatch.log_base_name".

  See Also:
    Constant Field Values

### MAX_ACTIVES_PROPERTY_NAME

    public static final String MAX_ACTIVES_PROPERTY_NAME

  The name of the property that specifies the maximum number of active transactions. Expands to "com.atomikos.icatch.max_actives".

  See Also:
    Constant Field Values

### MAX_TIMEOUT_PROPERTY_NAME

    public static final String MAX_TIMEOUT_PROPERTY_NAME

  The name of the property that specifies the maximum timeout (in milliseconds) that can be allowed for transactions. Expands to "com.atomikos.icatch.max_timeout".

  See Also:
    Constant Field Values

### TM_UNIQUE_NAME_PROPERTY_NAME

    public static final String TM_UNIQUE_NAME_PROPERTY_NAME

  The name of the property indicating the globally unique name of the transaction manager. Expands to "com.atomikos.icatch.tm_unique_name".

  See Also:
    Constant Field Values

### CHECKPOINT_INTERVAL_PROPERTY_NAME

    public static final String CHECKPOINT_INTERVAL_PROPERTY_NAME

  The name of the property indicating the checkpoint interval. Expands to "com.atomikos.icatch.checkpoint_interval".

  See Also:
    Constant Field Values

### CLIENT_DEMARCATION_PROPERTY_NAME

    public static final String CLIENT_DEMARCATION_PROPERTY_NAME

  The name of the property indicating whether remote clients can start transactions on this service or not. Expands to "com.atomikos.icatch.client_demarcation".

  See Also:
    Constant Field Values

### RMI_EXPORT_CLASS_PROPERTY_NAME

    public static final String RMI_EXPORT_CLASS_PROPERTY_NAME

  The name of the property indicating what RMI export mechanism to use for exporting transaction service objects (if applicable). Expands to "com.atomikos.icatch.rmi_export_class".

  See Also:
    Constant Field Values

### JNDI_INITIAL_CONTEXT_FACTORY_PROPERTY_NAME

    public static final String JNDI_INITIAL_CONTEXT_FACTORY_PROPERTY_NAME

  The name of the property indicating what the JNDI initial context factory is. Expands to "java.naming.factory.initial".

  See Also:
    Constant Field Values

### JNDI_PROVIDER_URL_PROPERTY_NAME

    public static final String JNDI_PROVIDER_URL_PROPERTY_NAME

  The name of the property indicating what the JNDI provider URL is. Expands to "java.naming.provider.url".

  See Also:
    Constant Field Values

### AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME

    public static final String AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME

  The name of the property indicating whether (JTA/XA) resources should be registered automatically or not. Expands to "com.atomikos.icatch.automatic_resource_registration".

  See Also:
    Constant Field Values

### ENABLE_LOGGING_PROPERTY_NAME

    public static final String ENABLE_LOGGING_PROPERTY_NAME

  The name of the property indicating whether or not to enable logging. Expands to "com.atomikos.icatch.enable_logging".

  See Also:
    Constant Field Values

### CONSOLE_FILE_LIMIT_PROPERTY_NAME

    public static final String CONSOLE_FILE_LIMIT_PROPERTY_NAME

  Deprecated. use a standard logger API now... The name of the property indicating the max size in bytes of the console log files. Negative means unlimited. Expands to "com.atomikos.icatch.console_file_limit".
  See Also:
    Constant Field Values

### CONSOLE_FILE_COUNT_PROPERTY_NAME

    public static final String CONSOLE_FILE_COUNT_PROPERTY_NAME

  Deprecated. use a standard logger API now... The name of the property indicating the number of rotating console log files. Expands to "com.atomikos.icatch.console_file_count".
  See Also:
    Constant Field Values

### THREADED_2PC_PROPERTY_NAME

    public static final String THREADED_2PC_PROPERTY_NAME

  The name of the property specifying whether two-phase commit should be done concurrently with threads. Expands to "com.atomikos.icatch.threaded_2pc".

  See Also:
    Constant Field Values

### REGISTER_SHUTDOWN_HOOK_PROPERTY_NAME

    public static final String REGISTER_SHUTDOWN_HOOK_PROPERTY_NAME

  The name of the property specifying whether or not to force shutdown on VM exit. Expands to "com.atomikos.icatch.force_shutdown_on_vm_exit".

  See Also:
    Constant Field Values

Constructor Detail

### AbstractUserTransactionServiceFactory

    public AbstractUserTransactionServiceFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.